Create a new quick message
const url = 'https://api.matiasimpulso.com/quick-messages';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"shortcode":"hello","title":"Saludo inicial","message":"Hola, ¿en qué puedo ayudarte hoy?","category":"general","isVisible":true,"isActive":true,"fileBase64":"data:application/pdf;base64,JVBERi0xLjQKJeLjz9MK...","fileName":"document.pdf"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.matiasimpulso.com/quick-messages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "shortcode": "hello", "title": "Saludo inicial", "message": "Hola, ¿en qué puedo ayudarte hoy?", "category": "general", "isVisible": true, "isActive": true, "fileBase64": "data:application/pdf;base64,JVBERi0xLjQKJeLjz9MK...", "fileName": "document.pdf" }'Creates a new quick message for the authenticated user’s company
Authorizations
Sección titulada « Authorizations »Request Bodyrequired
Sección titulada « Request Bodyrequired »object
Unique shortcode for the quick message
Example
helloDisplay title for the quick message
Example
Saludo inicialMessage content
Example
Hola, ¿en qué puedo ayudarte hoy?Message category
Example
generalVisible for the whole company. Only tenant admins can create visible messages; for other users it is always false
Example
trueWhether the quick message is active
Example
trueBase64-encoded file content for media attachment (transitory field, not stored in database)
Example
data:application/pdf;base64,JVBERi0xLjQKJeLjz9MK...Original filename for the media attachment (transitory field, used only during creation)
Example
document.pdfResponses
Sección titulada « Responses »Quick message created successfully
object
Unique identifier
Unique shortcode
Display title
Message content
Message category
Visibility status
Active status
Has media content
Media file path
Original media file name
Creator user ID
Company ID
Creation timestamp
Last update timestamp
Creator user information
object
Example
{ "id": 1, "shortcode": "hello", "title": "Saludo inicial", "message": "Hola, ¿en qué puedo ayudarte?", "category": "greeting", "isVisible": true, "isActive": true, "isMedia": false, "mediaPath": "/uploads/quick-messages/image.jpg", "mediaName": "welcome-image.jpg", "userId": 1, "companyId": 1, "createdAt": "2025-10-04T06:07:41.000Z", "updatedAt": "2025-10-04T06:07:41.000Z", "user": { "id": 1, "name": "John Doe", "email": "john@example.com" }}Quick message with the same shortcode already exists